MANDB(8)

NAMA
mandb - buat atau perbarui indeks persediaan halaman buku panduan

RINGKASAN
mandb [-dqsucpt?V|-h|-V] [-C berkas] [jalurman]
mandb [-dqsut] [-C berkas] -f nama berkas ...

DESKRIPSI
mandb digunakan untuk menginisialisasi atau secara manual memperbarui persediaan basis data indeks yang biasanya dijaga oleh man. Persediaan berisi informasi yang berhubungan ke kondisi sistem halaman buku panduan sekarang dan informasi yang disimpan didalamnya digunakan oleh man-db untuk meningkatkan kecepatan dan fungsionalitasnya. Ketika membuat atau memperbarui sebuah indeks, mandb akan memperingatkan dari permintaan buruk .so ROFF, nama berkas halaman buku panduan palsu dan halaman buku panduan dari whatis tidak dapat diambil. Memberikan mandb dengan sebuah sebuah jalur alternatif dipisahkan dengan tanda titik dua akan memaksa jalur pencarian internal hierarki sistem halaman buku panduan, yang ditentukan dari informasi yang ditemukan dalam berkas konfigurasi man-db.

PERSEDIAAN BASIS DATA
mandb dapat disusun dengan dukungan untuk tipe basis data apapun seperti berikut ini.
Name
Type
Async
Filename
Berkeley db
Binary tree
Yes
index.bt
GNU gdbm v >= 1.6
Hashed
Yes
index.db
GNU gdbm v < 1.6
Hashed
No
index.db
UNIX ndbm
Hashed
No
index.(dir|pag)
Tipe basis data itu yang mendukung pembaruan asinkron memberikan kecepatan lebih dengan kemungkinan korupsi pada saat terjadi terminasi yang tidak biasa. Dalam kasus yang tidak biasa dimana ini telah terjadi, mungkin perlu untuk menjalankan kembali mandb dengan pilihan -c untuk membuat kembali basis data dari awal.

PILIHAN

-d, --debug
    Tampilkan informasi penelusuran.

-q, --quiet
    Tidak menghasilkan peringatan.

-s, --no-straycats
    Jangan habiskan waktu untuk mencari atau menambahkan informasi ke basis data mengenai berkas cat yang salah.

-p, --no-purge
    Jangan habiskan waktu untuk memeriksa halaman buku panduan yang terhapus dan hapus mereka dari basis data.

-c, --create
    Secara baku, mandb akan mencoba memperbarui basis data yang dibuat sebelumnya. Jika sebuah basis data tidak ada, ini akan dibuat. Pilihan ini memaksa mandb untuk menghapus basis data sebelumnya dan membuat kembali dari awal, dan mengimplikasikan --no-purge. Ini mungkin diperlukan jika sebuah basis data telah terkorupsi atau jika sebuah skema penyimpanan basis data baru dikenalkan dalam masa depan.

-u, --user-db
    Buat basis data untuk pengguna saja, baik dengan ijin tulis yang dibutuhkan untuk membuat basis data sistem.

-t, --test
    Lakukan pemeriksaan kebenaran di halaman buku panduan dalam hierarki jalur pencarian. Dengan pilihan ini, mandb tidak akan mengubah basis data yang sudah ada.

-f, --filename
    Hanya perbarui masukan dari nama berkas yang diberikan. Pilihan ini tidak untuk penggunaan umum; ini digunakan secara internal oleh man ketika ini telah disusun dengan MAN_DB_UPDATES pilihan dan menemukan bahwa sebuah halaman telah kadaluarsa. Ini mengimplikasikan -p dan menonaktifkan -c dan -s.

-C berkas, --config-file=berkas
    Gunakan berkas konfigurasi pengguna ini daripada ~/.manpath.

-?, --help
    Tampilkan pesan penggunaan, kemudian keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan versi, kemudian keluar.

STATUS KELUAR

0   Eksekusi aplikasi sukses.

1   Penggunaan, sintaks, atau berkas konfigurasi error.

2   Operasional error.

3   Sebuah proses anak gagal.

DIAGNOSA
Pesan peringatan berikut dapat dikeluarkan selama pembuatan basis data.

<nama berkas>: whatis pengambilan untuk halaman(sec) gagal
    Sebuah percobaan untuk mengekstrak baris whatis <dari nama berkas> yang diberikan gagal. Ini biasanya karena halaman buku panduan yang ditulis kurang lengkap, tetapi jika banyak pesan seperti itu yang dikeluarkan sepertinya sistem berisi halaman buku panduan yang tidak standar yang tidak sesuai dengan pengambil man-db whatis. Lihat bagian WHATIS PARSING dalam lexgrog(1) untuk informasi lebih lanjut.

<nama berkas>: adlaah sebuah simlink dangling
    <nama berkas> tidak ada tetapi direferensikan oleh sebuah link simbolik. Diagnosa lebih lanjut biasanya dikeluarkan untuk mengidentifikasikan <nama berkas> dari offending link.

<nama berkas>: symlink buruk atau permintaan `.so' ROFF
    <nama berkas> baik sebuak link simbolik ke, atau berisi sebuah ROFF termasuk permintaan ke, sebuah berkas yang tidak ada.

<nama berkas>: mengabaikan nama berkas palsu
    <nama berkas> mungkin atau tidak mungkin berupa sebuah halaman buku panduan normal tetapi namanya tidak valid. Ini biasanya karena sebuah halaman buku panduan dengan ekstensi bagian <x> diletakan dalam bagian halaman buku panduan <y>.

<filename_mask>: ekstensi berkompetensi
    Karakter bebas <filename_mask> tidak unik. Ini biasanya disebabkan oleh adanya baik versi terkompres dan tidak terkompres dari halaman buku panduan yang sama. Seluruh tetapi yang paling baru diabaikan.

BERKAS

/etc/man_db.conf
    berkas konfigurasi man-db.

/var/cache/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh sesuai dengan FHS.

Lokasi lebih lama untuk persediaan basis data dimasukan:

/usr/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh tradisional.

/var/catman/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh alternatif atau sesuai dengan FSSTND.

LIHAT JUGA
lexgrog(1), man(1), manpath(5), catman(8)

WHATIS PARSING bagian sebelumnya dalam halaman buku panduan ini sekarang bagian dari lexgrog(1).

PENGARANG
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).